View Issue Details

IDProjectCategoryView StatusLast Update
0003117Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.196 
Summary0003117: FT-891 "Shift frequency" range isn't correct; can't be controlled from Rig Control
DescriptionRig Control's "Shift Frequency" slider doesn't correctly control the radio's setting. Moving the slider doesnt' change the radio, and the slider snaps back to its original position. A change in the radio setting doesn't cause a change in the Rig Control slider.

This slider controls the RTTY shift.
Steps To Reproduce1) Get Rig Control started with a connection to an FT-891
2) Make sure the "102 Shift Frequency" slider is visible
3) hold "F" button on the radio to enter the settings menu
4) Use the Multi knob to find setting 10-09, which is "RTTY SHIFT FREQ"
5) Adjust the slider in Rig Control

BUG#1) The radio's setting doesn't change

6) Use the Multi Knob to select the setting and then adjust it

BUG#2) The Rig Control slider doesn't move
TagsFT-891, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-01-29 15:16

administrator   ~0007129

fix mismatched description and title.

K7ZCZ

2019-01-29 15:19

administrator   ~0007130

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4778

WA9PIE

2019-02-05 15:05

administrator   ~0007270

Validated

Issue History

Date Modified Username Field Change
2019-01-27 11:17 K7ZCZ New Issue
2019-01-27 11:25 K7ZCZ Tag Attached: FT-891
2019-01-27 11:25 K7ZCZ Tag Attached: Yaesu
2019-01-29 15:16 K7ZCZ Summary FT-891 IF shift range isn't correct; can't be controlled from Rig Control => FT-891 "Shift frequency" range isn't correct; can't be controlled from Rig Control
2019-01-29 15:16 K7ZCZ Description Updated View Revisions
2019-01-29 15:16 K7ZCZ Note Added: 0007129
2019-01-29 15:19 K7ZCZ Assigned To => K7ZCZ
2019-01-29 15:19 K7ZCZ Status new => resolved
2019-01-29 15:19 K7ZCZ Resolution open => fixed
2019-01-29 15:19 K7ZCZ Note Added: 0007130
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-05 15:05 WA9PIE Status resolved => closed
2019-02-05 15:05 WA9PIE Testing Not Started => Beta Successful
2019-02-05 15:05 WA9PIE Note Added: 0007270
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe